-- lx syntax
local syntax = require("core.syntax")

-- liqube visualizer2 plot data
syntax.add({
	name = "Liqube 2D Plot File",
	author = "liqube",
	extensions = "2d",

	patterns = {
		{ pattern = ";.*", type = "comment" },
		{ pattern = "%s*-?%.?%d+f?", type = "keyword", line_start = true }, -- x
		{ pattern = "-?%.?%d+f?", type = "number" }, -- y, y2, .
	},
})
